Package groovy.xml.streamingmarkupsupport

# Class Builder

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.xml.streamingmarkupsupport.Builder

All Implemented Interfaces:
  `GroovyObject`

Direct Known Subclasses:
  `BaseMarkupBuilder`

public abstract class Builder extends GroovyObjectSupport
Base support for streaming markup builders that dispatch tags through namespace-specific closures.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `Builder.Built`
  Base class for bound markup documents produced by `bind(Closure)`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Map`
  `namespaceMethodMap`
  Normalized namespace metadata used to resolve tag handlers during binding.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(Map namespaceMethodMap)`
  Creates a builder from the precomputed namespace method metadata.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Object`
  `bind(Closure root)`
  Binds a root markup closure into a lazily executable document object.

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass, setMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `getProperty, invokeMethod, setProperty`

- ## Field Details

  - ### namespaceMethodMap

    protected final Map namespaceMethodMap
    Normalized namespace metadata used to resolve tag handlers during binding.

- ## Constructor Details

  - ### Builder

    public Builder(Map namespaceMethodMap)
    Creates a builder from the precomputed namespace method metadata.
    Parameters:
      `namespaceMethodMap` - namespace-specific tag handler metadata

- ## Method Details

  - ### bind

    public abstract Object bind(Closure root)
    Binds a root markup closure into a lazily executable document object.
    Parameters:
      `root` - root markup closure
    Returns:
      bound document representation